/*
 *  Copyright (C) 2000-2002  Henk de Groot - PE1DNN
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *  Please note that the GPL allows you to use the driver, NOT the radio.
 *  In order to use the radio, you need a license from the communications
 *  authority of your country.
 */

#ifndef _LINUX_H_
#define _LINUX_H_

/* No "far" calls in LINUX */
#define far
#define _far

/* substitute "cprintf" with "printf" */
#define cprintf printf

/* global data */
extern short directvideo;

/* External prototypes */
char  *strlwr(char *);
char  *strupr(char *);
int   stricmp(const char *, const char *);
char  *itoa(int, char *, int);
short get_lpt_status(char *, short);
short out_lpt_data(char *, char *);
void  kb_exit(void);
void  kb_init(void); 
int   kbhit(void);
char  getch(void);
void  serial_close(int);
int   serial_open(short, short); 
int   serial_in(int fd, char *buf_p);

#endif /* _LINUX_H_ */
